## mopidy 2.0.0

=== docs/requirements.txt ===
Sphinx >= 1.0
pygraphviz

## mopidy 0.0.20140501

=== debian/changelog ===
mopidy (0.0.20140501-0ubuntu0~rzr0) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#mopidy

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 22:35:00 +0200

mopidy (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Thu, 01 May 2014 22:34:59 +0200

mopidy (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * Add "run" subcommand to the init script for running arbitrary "mopidy"
    subcommands with the correct user and configuration files.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 16 Feb 2014 21:49:14 +0100

mopidy (0.18.1-1) unstable; urgency=low

  * New upstream release.
  * Adjust the log format again.
  * Remove deprecated config value local/tag_cache_file.
  * Create directory for new config value local/data_dir.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 23 Jan 2014 23:42:45 +0100

mopidy (0.18.0-2) unstable; urgency=low

  * Make the service log at INFO level instead of DEBUG level.
  * Add thread and logger name to log format.
  * Fix use of / as a config file.
  * Fix failure to build twice in a row.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 22 Jan 2014 23:38:39 +0100

mopidy (0.18.0-1) unstable; urgency=low

  * New upstream release.
  * Remove rebuilding of Mopidy.js, as it is now built with Browserify and
    Grunt, which isn't available as Debian packages.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 20 Jan 2014 21:57:15 +0100

mopidy (0.17.0-3) unstable; urgency=low

  * Fix error in init script.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 12 Jan 2014 02:34:25 +0100

mopidy (0.17.0-2) unstable; urgency=low

  * Add "mopidy" system user.
  * Add global configuration.
  * Add init script to run mopidy as a system daemon.
  * Bump Standards-Version to 3.9.5.
  * Build docs with dh_sphinxdocs.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 11 Jan 2014 22:18:30 +0100

mopidy (0.17.0-1) unstable; urgency=low

  * Include Apache 2.0 declaration in debian/copyright.
  * Update license text for js/lib/bane-*.js to BSD 2-clause.
  * Upload to unstable.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 01 Dec 2013 21:25:55 +0100

mopidy (0.17.0-0mopidy2) unstable; urgency=low

  * Add missing licenses to debian/copyright.
  * Rebuild JavaScript library as part of the build.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 25 Nov 2013 18:11:03 +0100

mopidy (0.17.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Remove symlink to mopidy-scan command, which has been removed.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 23 Nov 2013 20:30:58 +0100

mopidy (0.16.1-0mopidy2) unstable; urgency=low

  * Remove mostly redundant mopidy.pydist which is ignored by wheezy anyway.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 03 Nov 2013 22:35:24 +0100

mopidy (0.16.1-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Add dist/* to list of files to clean.
  * Build and install manpages.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 02 Nov 2013 23:52:15 +0100

mopidy (0.16.0-0mopidy3) unstable; urgency=low

  * Remove bad X-Python3-Version declaration.
  * Remove redundant Provides on binary package.
  * Use dh_python2 to find Python dependencies.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 30 Oct 2013 23:38:09 +0100

mopidy (0.16.0-0mopidy2) saucy; urgency=low

  * Update copyright format URL.
  * Add python-setuptools to Build-Depends.
  * Bump debhelper to >= 8.0.0.
  * Convert from python-support to dh_python2.
  * Install as a private module.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 29 Oct 2013 23:12:45 +0100

mopidy (0.16.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Use https in watch URL.
  * Update copyright year.
  * Refer to copy of Apache 2.0 license in /usr/share/common-licenses.
  * Remove dependency on python-spotify, python-pylast, python-dbus, and
    python-indicate as the extensions requiring them are no longer included in
    the main Mopidy project.
  * Update package descriptions.
  * Add *.egg-info/* to debian/clean.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 28 Oct 2013 11:20:51 +0100

mopidy (0.15.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Removed Python 2.6 support.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 19 Sep 2013 19:33:50 +0200

mopidy (0.14.2-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Update version range on python-spotify dependency to include >= 1.9, << 2.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 01 Jul 2013 11:54:20 +0200

mopidy (0.14.1-0mopidy2) unstable; urgency=low

  * Update version range on python-spotify dependency to include 1.11.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 01 Jul 2013 01:31:47 +0200

mopidy (0.14.1-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 28 Apr 2013 23:46:25 +0200

mopidy (0.14.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Add dependency on python-setuptools.
  * Remove suggests on python-serial, as external mixers support have been
    moved to an extension.
  * Update path to changelog.
  * Bump Standards-Version to 3.9.4.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 28 Apr 2013 22:43:41 +0200

mopidy (0.13.0-0mopidy1) unstable; urgency=low

  * New upstream release.
  * Update version range on python-pykka dependency.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 31 Mar 2013 17:03:48 +0200

mopidy (0.12.0-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 12 Mar 2013 21:13:43 +0100

mopidy (0.11.1-0mopidy1) unstable; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 24 Dec 2012 20:25:45 +0100

mopidy (0.11.0-0mopidy1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: mopidy
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends:
    debhelper (>= 8.0.0),
    python (>= 2.7),
    python-setuptools,
    python-sphinx (>= 1.0),
    python-pygraphviz
Standards-Version: 3.9.5
Homepage: http://www.mopidy.com/
Vcs-Git: git://github.com/mopidy/mopidy.git
Vcs-Browser: https://github.com/mopidy/mopidy
X-Python-Version: >= 2.7

Package: mopidy
Architecture: all
Depends:
    ${misc:Depends},
    ${python:Depends},
    adduser,
    lsb-base,
    gstreamer0.10-plugins-good,
    python-gst0.10
Recommends:
    gstreamer0.10-alsa,
    gstreamer0.10-plugins-ugly,
    gstreamer0.10-tools,
    python-cherrypy3,
    python-ws4py
Suggests:
    mopidy-doc
Description: music server with support for MPD/HTTP clients
 Mopidy is a music server which can play music both from multiple sources, like
 your local hard drive, radio streams, and from Spotify and SoundCloud.
 Searches combines results from all music sources, and you can mix tracks from
 all sources in your play queue. Your playlists from Spotify or SoundCloud are
 also available for use.

Package: mopidy-doc
Section: doc
Architecture: all
Depends:
    ${misc:Depends},
    ${sphinxdoc:Depends}
Recommends: mopidy
Replaces: mopidy (<< 0.7.3-2)
Description: music server with support for MPD/HTTP clients - documentation
 Mopidy is a music server which can play music both from multiple sources, like
 your local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 The packages includes documentation for Mopidy.

Package: mopidy-snapshot
Architecture: all
Section: sound
Depends: mopidy (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade mopidy
 http://rzr.online.fr/q/snapshot#mopidy Feedback welcome

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_clean:
	rm -rf build/
	make -C docs/ clean
	dh_clean

override_dh_auto_build:

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb --install-lib=/usr/share/mopidy --install-scripts=/usr/share/mopidy/bin
	# Fix name collision between `mopidy` package and `mopidy` command
	mv debian/tmp/usr/share/mopidy/bin/mopidy debian/tmp/usr/share/mopidy/mopidy-cmd
	mv debian/tmp/usr/share/mopidy/bin/* debian/tmp/usr/share/mopidy/
	rm -r debian/tmp/usr/share/mopidy/bin/

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_installman:
	make -C docs/ clean man
	dh_installman

## mopidy 0.17.0

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
 Build-Depends:
     debhelper (>= 8.0.0),
+    node-uglify,
     python (>= 2.7),
     python-setuptools,
     python-sphinx (>= 1.0),
@@ -51,14 +52,3 @@
  your local hard drive, radio streams, and from Spotify and SoundCloud.
  .
  The packages includes documentation for Mopidy.
-
-Package: mopidy-snapshot
-Architecture: all
-Section: sound
-Depends: mopidy (= ${source:Version}), ${misc:Depends}
-Suggests: rzr
-Priority: extra
-Description: unreleased snapshot version
- TODO: Remove on issue and upgrade mopidy
- http://rzr.online.fr/q/snapshot#mopidy Feedback welcome
-

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,12 @@
 	dh $@ --with python2,sphinxdoc
 
 override_dh_clean:
-	rm -rf build/
 	make -C docs/ clean
 	dh_clean
 
 override_dh_auto_build:
+
+HTTP_DATA = debian/tmp/usr/share/mopidy/mopidy/frontends/http/data
 
 override_dh_auto_install:
 	python setup.py install --root=debian/tmp --install-layout=deb --install-lib=/usr/share/mopidy --install-scripts=/usr/share/mopidy/bin
@@ -19,6 +20,10 @@
 	mv debian/tmp/usr/share/mopidy/bin/mopidy debian/tmp/usr/share/mopidy/mopidy-cmd
 	mv debian/tmp/usr/share/mopidy/bin/* debian/tmp/usr/share/mopidy/
 	rm -r debian/tmp/usr/share/mopidy/bin/
+	# Rebuild JavaScript library
+	rm $(HTTP_DATA)/*.js
+	cat js/lib/bane-*.js js/lib/when-define-shim.js js/lib/when-2.*.js js/src/mopidy.js > $(HTTP_DATA)/mopidy.js
+	NODE_PATH=/usr/lib/nodejs uglifyjs --no-copyright --output $(HTTP_DATA)/mopidy.min.js $(HTTP_DATA)/mopidy.js
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/M/Mopidy/Mopidy-(.*)\.tar\.gz

## mopidy 0.19.3

=== debian/changelog ===
mopidy (0.19.3-1) unstable; urgency=medium

  * Updated package description and Debconf template from #754526.
  * Add po-debconf to Build-Depends.
  * Run debconf-updatepo on clean.
  * Upload to unstable.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 04 Aug 2014 09:13:18 +0200

mopidy (0.19.3-0mopidy1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 03 Aug 2014 23:49:18 +0200

mopidy (0.19.2-0mopidy1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 26 Jul 2014 14:25:24 +0200

mopidy (0.19.1-0mopidy1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 23 Jul 2014 18:18:10 +0200

mopidy (0.19.0-0mopidy1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-build with correct Python requirements not locked to Ubuntu.

 -- Thomas Adamcik <thomas@adamcik.no>  Mon, 21 Jul 2014 20:47:01 +0200

mopidy (0.19.0-0mopidy1) unstable; urgency=medium

  * New upstream release.
  * Remove python-cherrypy3 and python-ws4py from Recommends.
  * Add python-tornado to Depends.
  * Remove /usr/bin/mopidy-convert-config command.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 21 Jul 2014 09:58:12 +0200

mopidy (0.18.3-3) unstable; urgency=medium

  * Remove redundant dependency on po-debconf, as we use debhelper.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 26 May 2014 09:25:55 +0200

mopidy (0.18.3-2) unstable; urgency=medium

  * Use debconf to ask if Mopidy server should start at boot.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sat, 24 May 2014 20:05:31 +0200

=== debian/control ===
Source: mopidy
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends:
    debhelper (>= 8.0.0),
    po-debconf,
    python (>= 2.7),
    python-setuptools,
    python-sphinx (>= 1.0),
    python-pygraphviz
Standards-Version: 3.9.5
Homepage: http://www.mopidy.com/
Vcs-Git: git://github.com/mopidy/mopidy.git
Vcs-Browser: https://github.com/mopidy/mopidy
X-Python-Version: >= 2.7

Package: mopidy
Architecture: all
Depends:
    ${misc:Depends},
    ${python:Depends},
    adduser,
    debconf,
    lsb-base,
    gstreamer0.10-plugins-good,
    python-gst0.10,
    python-tornado
Recommends:
    gstreamer0.10-alsa,
    gstreamer0.10-plugins-ugly,
    gstreamer0.10-tools
Suggests:
    mopidy-doc
Description: music server with support for MPD/HTTP clients
 Mopidy is an extensible music server which can play music from local
 files, radio streams, and cloud services such as Spotify and SoundCloud.
 .
 Searches combine results from all music sources, and tracks can be mixed from
 all sources in the play queue. Spotify or SoundCloud playlists are
 also available for use.

Package: mopidy-doc
Section: doc
Architecture: all
Depends:
    ${misc:Depends},
    ${sphinxdoc:Depends}
Recommends: mopidy
Replaces: mopidy (<< 0.7.3-2)
Description: music server with support for MPD/HTTP clients - documentation
 Mopidy is an extensible music server which can play music from local
 files, radio streams, and cloud services such as Spotify and SoundCloud.
 .
 This package provides the documentation for Mopidy.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_clean:
	rm -rf build/
	make -C docs/ clean
	debconf-updatepo
	dh_clean

override_dh_auto_build:

override_dh_auto_install:
	python setup.py install --root=debian/tmp --install-layout=deb --install-lib=/usr/share/mopidy --install-scripts=/usr/share/mopidy/bin
	# Fix name collision between `mopidy` package and `mopidy` command
	mv debian/tmp/usr/share/mopidy/bin/mopidy debian/tmp/usr/share/mopidy/mopidy-cmd
	rm -r debian/tmp/usr/share/mopidy/bin/

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_installman:
	make -C docs/ clean man
	dh_installman

## mopidy 0.19.4

=== debian/changelog ===
mopidy (0.19.4-3) unstable; urgency=medium

  * Make sysvinit script start after $named (for service lookups), dbus (for
    Mopidy-MPRIS), and avahi (for Zeroconf publishing), if those facilities
    are available.
  * Use proper short name for BSD-2-clause license in debian/copyright.
  * Make dh_installinit not start service in postinst, as whether or not to
    start the service depends on a debconf question.
  * Fix config script so the service's current status is properly detected
    and used as the default option in the debconf question.
  * Replace `sudo service mopidy run ...` commands with the new `mopidyctl`
    command. `mopidyctl` runs Mopidy with the same config and user as the
    Mopidy system service.
  * Add mopidy.service file for systemd.
  * Add logrotate config for /var/log/mopidy/*.log.
  * Add /usr/share/mopidy/conf.d for Mopidy extensions to install default
    configuration into. This replaces /etc/mopidy/extensions.d.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 13 Oct 2014 18:55:50 +0200

mopidy (0.19.4-2) unstable; urgency=medium

  * Install "mopidy" Python module in /usr/lib/python2.7, so it can be found
    and used by pip-installed Mopidy extensions.
  * Add README.Debian.  Closes: #762617

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 23 Sep 2014 21:57:01 +0200

mopidy (0.19.4-1) unstable; urgency=medium

  * New upstream release.

  [ Stein Magnus Jodal ]
  * Add >= 2.3 version requirement to python-tornado.
  * Simplify config file detection in init script.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #754526
  * [Debconf translation updates]
  * Danish (Joe Hansen).  Closes: #757262
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #757730
  * German (Chris Leick).  Closes: #757846
  * Russian (Yuri Kozlov).  Closes: #757950
  * Czech (Michal Simunek).  Closes: #758019
  * French (Jean-Pierre Giraud).  Closes: #758273
  * Spanish (Matías A. Bellone).  Closes: #758479
  * Portuguese (Paulo Tomé).  Closes: #758486
  * Japanese (victory).  Closes: #758583
  * Polish (Michał Kułach).  Closes: #758659
  * Italian (Beatrice Torracca).  Closes: #758717

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 01 Sep 2014 23:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
 Build-Depends:
     debhelper (>= 8.0.0),
+    dh-systemd (>= 1.5),
     po-debconf,
     python (>= 2.7),
     python-setuptools,
@@ -25,7 +26,7 @@
     lsb-base,
     gstreamer0.10-plugins-good,
     python-gst0.10,
-    python-tornado
+    python-tornado (>= 2.3)
 Recommends:
     gstreamer0.10-alsa,
     gstreamer0.10-plugins-ugly,

## mopidy 0.19.5

=== debian/changelog ===
mopidy (0.19.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 24 Dec 2014 00:47:41 +0100

mopidy (0.19.4-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6. No changes needed.
  * Add Dutch translation of Debconf templates. (Frans Spiesschaert)
    Closes: #766401
  * Add Swedish translation of Debconf templates. (Martin Bagge)
    Closes: #768453

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 09 Nov 2014 14:37:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
     python-setuptools,
     python-sphinx (>= 1.0),
     python-pygraphviz
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.mopidy.com/
 Vcs-Git: git://github.com/mopidy/mopidy.git
 Vcs-Browser: https://github.com/mopidy/mopidy

## mopidy 1.0.4

=== debian/changelog ===
mopidy (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 30 Apr 2015 08:48:45 +0200

mopidy (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 28 Apr 2015 00:03:41 +0200

mopidy (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 27 Apr 2015 00:24:00 +0200

mopidy (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 23 Apr 2015 23:57:37 +0200

mopidy (1.0.0-3) unstable; urgency=medium

  * Use /var/lib/mopidy/playlists as m3u/playlists_dir.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Sun, 29 Mar 2015 11:07:36 +0200

mopidy (1.0.0-2) unstable; urgency=medium

  * Update watch file.
  * Update paths in copyright file.
  * Update copyright years.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 27 Mar 2015 13:24:25 +0100

mopidy (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add gstreamer0.10-pulseaudio to Recommends.
  * Use mopidyctl helper from upstream.
  * Use mopidy.service from upstream.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 27 Mar 2015 10:58:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc,systemd

override_dh_clean:
	rm -rf build/
	make -C docs/ clean
	debconf-updatepo
	dh_clean

override_dh_auto_build:

override_dh_auto_install:
	dh_auto_install
	# Move mopidy command into private module dir so it gets Mopidy
	# extensions on its PYTHONPATH
	mkdir -p debian/tmp/usr/share/mopidy
	mv debian/tmp/usr/bin/mopidy debian/tmp/usr/share/mopidy/mopidy-cmd

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_installman:
	make -C docs/ clean man
	dh_installman

## mopidy 1.0.5

=== debian/changelog ===
mopidy (1.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Tue, 19 May 2015 22:15:23 +0200

## mopidy 1.0.7

=== debian/changelog ===
mopidy (1.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 26 Jun 2015 12:53:48 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 Recommends:
     gstreamer0.10-alsa,
     gstreamer0.10-plugins-ugly,
+    gstreamer0.10-pulseaudio,
     gstreamer0.10-tools
 Suggests:
     mopidy-doc

## mopidy 1.0.8

=== debian/changelog ===
mopidy (1.0.8-2) unstable; urgency=medium

  * Use pybuild as build system.
  * Add pydist file, mapping the PyPI package "Mopidy" to the Debian package
    "mopidy".

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 31 Jul 2015 10:51:31 +0200

mopidy (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 22 Jul 2015 18:45:01 +0200

## mopidy 1.1.0

=== debian/changelog ===
mopidy (1.1.0-2) unstable; urgency=medium

  * Set core/{cache,config,data}_dir config values in /etc/mopidy/mopidy.conf
    to /var/cache/mopidy, /etc/mopidy and /var/lib/mopidy respectively.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 10 Aug 2015 21:38:14 +0200

mopidy (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 10 Aug 2015 00:08:16 +0200

## mopidy 1.1.1

=== debian/changelog ===
mopidy (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch: 0001-Make-docs-buildable-with-older-Sphinx.patch

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Mon, 14 Sep 2015 10:48:29 +0200

=== debian/control ===
Source: mopidy
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.5),
               po-debconf,
               python (>= 2.7),
               python-pygraphviz,
               python-setuptools,
               python-sphinx (>= 1.0),
Standards-Version: 3.9.6
Homepage: http://www.mopidy.com/
Vcs-Git: git://github.com/mopidy/mopidy.git
Vcs-Browser: https://github.com/mopidy/mopidy
X-Python-Version: >= 2.7

Package: mopidy
Architecture: all
Depends: adduser,
         debconf,
         gstreamer0.10-plugins-good,
         lsb-base,
         python-gst0.10,
         python-tornado (>= 2.3),
         ${misc:Depends},
         ${python:Depends},
Recommends: gstreamer0.10-alsa,
            gstreamer0.10-plugins-ugly,
            gstreamer0.10-pulseaudio,
            gstreamer0.10-tools,
Suggests: mopidy-doc,
Description: music server with support for MPD/HTTP clients
 Mopidy is an extensible music server which can play music from local
 files, radio streams, and cloud services such as Spotify and SoundCloud.
 .
 Searches combine results from all music sources, and tracks can be mixed from
 all sources in the play queue. Spotify or SoundCloud playlists are
 also available for use.

Package: mopidy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: mopidy,
Replaces: mopidy (<< 0.7.3-2),
Description: music server with support for MPD/HTTP clients - documentation
 Mopidy is an extensible music server which can play music from local
 files, radio streams, and cloud services such as Spotify and SoundCloud.
 .
 This package provides the documentation for Mopidy.

## mopidy 1.1.2

=== debian/changelog ===
mopidy (1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Migrate to git-dpm, remove gbp config
  * debian/control
    - Update my email address
    - Update Vcs-Git and Vcs-Browser to point to Alioth
  * debian/changelog
    - Update my email address
    - Update copyright years
  * debian/mopidy.manpages
    - wrap-and-sort -t -a
  * debian/mopidy-doc.links
    - wrap-and-sort -t -a
  * debian/mopidy.menu
   - Remove to fix command-in-menu-file-and-desktop-file lintian warning

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 20 Jan 2016 23:23:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mopidy
 Section: sound
 Priority: optional
-Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
+Maintainer: Stein Magnus Jodal <jodal@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd (>= 1.5),
@@ -12,8 +12,8 @@
                python-sphinx (>= 1.0),
 Standards-Version: 3.9.6
 Homepage: http://www.mopidy.com/
-Vcs-Git: git://github.com/mopidy/mopidy.git
-Vcs-Browser: https://github.com/mopidy/mopidy
+Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy.git
 X-Python-Version: >= 2.7
 
 Package: mopidy

## mopidy 2.0.0

=== debian/changelog ===
mopidy (2.0.0-2) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 3.9.7, no changes needed
  * debian/mopidy.postinst
    - Only chown/chmod /etc/mopidy/mopidy.conf if it exists
  * debian/mopidy.init
    - Recreate /var/cache/mopidy if missing (Closes: #819174)
  * debian/patches
    - Add 0003-Make-systemd-service-recreate-cache-dir-if-missing.patch
      (Closes: #819174)

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 09 Apr 2016 14:47:55 +0200

mopidy (2.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #785910)
  * debian/control
    - Remove version range on python not needed since oldoldstable
    - Update GStreamer dependencies from 0.10 to 1.0
    - Add explicit Depends on gir1.2-gst-plugins-base-1.0 and
      gir1.2-gstreamer-1.0 to make the package work on Debian jessie and
      Ubuntu <15.10. In newer dists these are installed via python-gst-1.0
    - Move GStreamer's ugly plugin set from Recommends to Depends
  * debian/patches
    - Add 0002-Make-docs-buildable-without-custom-theme.patch

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 15 Feb 2016 23:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
                dh-python,
                dh-systemd (>= 1.5),
                po-debconf,
-               python (>= 2.7),
+               python,
                python-pygraphviz,
                python-setuptools,
                python-sphinx (>= 1.0),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.mopidy.com/
 Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy.git
@@ -20,16 +20,18 @@
 Architecture: all
 Depends: adduser,
          debconf,
-         gstreamer0.10-plugins-good,
+         gir1.2-gst-plugins-base-1.0,
+         gir1.2-gstreamer-1.0,
+         gstreamer1.0-plugins-good,
+         gstreamer1.0-plugins-ugly,
          lsb-base,
-         python-gst0.10,
+         python-gst-1.0,
          python-tornado (>= 2.3),
          ${misc:Depends},
          ${python:Depends},
-Recommends: gstreamer0.10-alsa,
-            gstreamer0.10-plugins-ugly,
-            gstreamer0.10-pulseaudio,
-            gstreamer0.10-tools,
+Recommends: gstreamer1.0-alsa,
+            gstreamer1.0-pulseaudio,
+            gstreamer1.0-tools,
 Suggests: mopidy-doc,
 Description: music server with support for MPD/HTTP clients
  Mopidy is an extensible music server which can play music from local

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export PYBUILD_DISABLE=test
+
 %:
-	dh $@ --with python2,sphinxdoc,systemd
+	dh $@ --with python2,sphinxdoc,systemd --buildsystem=pybuild
 
-override_dh_clean:
-	rm -rf build/
+override_dh_auto_clean:
 	make -C docs/ clean
 	debconf-updatepo
-	dh_clean
+	dh_auto_clean
 
 override_dh_auto_build:

## mopidy 2.0.1

=== docs/requirements.txt ===
Sphinx >= 1.0
pygraphviz
Pykka >= 1.1
sphinx_rtd_theme

=== debian/changelog ===
mopidy (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 3.9.8, no changes needed
    - Update Vcs-Git and Vcs-Browser

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 12 Aug 2016 21:17:01 +0200

## mopidy 2.1.0

=== docs/requirements.txt ===
Sphinx >= 1.0
pygraphviz
Pykka >= 1.1
# Require newer requests than what Travis/Debian has to work around linkcheck crash
requests > 2.4.3
sphinx_rtd_theme

=== debian/changelog ===
mopidy (2.1.0-1) unstable; urgency=medium

  * Remove deprecated config value local/data_dir from config.
    (Closes: #841415)
  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 03 Jan 2017 00:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python-pygraphviz,
                python-setuptools,
                python-sphinx (>= 1.0),
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.mopidy.com/
-Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mopidy/mopidy.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mopidy/mopidy.git
 X-Python-Version: >= 2.7
 
 Package: mopidy

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Mopidy/Mopidy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mopidy 2.2.2

=== docs/requirements.txt ===
Sphinx >= 1.0, != 1.8.0
pygraphviz
Pykka >= 1.1
# Require newer requests than what Travis/Debian has to work around linkcheck crash
requests > 2.4.3
sphinx_rtd_theme

=== debian/changelog ===
mopidy (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.3.0, no changes required
    - Build-Depend on python-pykka to build API reference
  * debian/mopidy.manpages
    - Use full path instead of wildcard (Closes: #921837)
  * debian/rules
    - Explicitly use Python 2 when building docs with Sphinx

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 17 Feb 2019 20:14:02 +0100

mopidy (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 15 Oct 2018 22:26:21 +0200

mopidy (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.2.1, no changes required
    - Remove redundant X-Python-Version

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 30 Sep 2018 01:22:16 +0200

mopidy (2.1.0-2) unstable; urgency=medium

  * debian/clean
    - Remove custom clean rules
  * debian/control
    - Require debhelper 10
    - Use HTTPS in Homepage
    - Set Vcs-* to salsa.debian.org
    - Build-Depend on python-sphinx-rtd-theme
  * debian/copyright
    - Update copyright years
  * debian/patches/
    - Drop patch to build docs with Sphinx < 1.3
    - Drop patch to build docs with default theme
  * debian/source/lintian-overrides
    - Override the remaining Lintian errors and warnings with an explanation
      for when they will be fixed

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 01 May 2018 21:30:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,15 @@
 	dh $@ --with python2,sphinxdoc,systemd --buildsystem=pybuild
 
 override_dh_auto_clean:
-	make -C docs/ clean
 	debconf-updatepo
 	dh_auto_clean
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. python2 -m sphinx -N -bhtml docs/ build/html
+	PYTHONPATH=. python2 -m sphinx -N -bman docs/ build/man
 
 override_dh_auto_install:
 	dh_auto_install
@@ -30,11 +34,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst
-
-override_dh_installdocs:
-	python setup.py build_sphinx
-	dh_installdocs
-
-override_dh_installman:
-	make -C docs/ clean man
-	dh_installman

## mopidy 2.2.3

=== debian/changelog ===
mopidy (2.2.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.4.0, no changes required
    - Add Built-Using on Sphinx
  * Refresh patches after git-dpm to gbp pq conversion

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 14 Jul 2019 15:45:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: sound
 Priority: optional
 Maintainer: Stein Magnus Jodal <jodal@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               dh-systemd (>= 1.5),
                po-debconf,
                python,
                python-pygraphviz,
+               python-pykka,
                python-setuptools,
-               python-sphinx (>= 1.0),
-Standards-Version: 3.9.8
-Homepage: http://www.mopidy.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-mopidy/mopidy.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mopidy/mopidy.git
-X-Python-Version: >= 2.7
+               python-sphinx,
+               python-sphinx-rtd-theme,
+Standards-Version: 4.4.0
+Homepage: https://www.mopidy.com/
+Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy.git
+Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy
 
 Package: mopidy
 Architecture: all
@@ -48,6 +48,7 @@
          ${sphinxdoc:Depends},
 Recommends: mopidy,
 Replaces: mopidy (<< 0.7.3-2),
+Built-Using: ${sphinxdoc:Built-Using},
 Description: music server with support for MPD/HTTP clients - documentation
  Mopidy is an extensible music server which can play music from local
  files, radio streams, and cloud services such as Spotify and SoundCloud.

## mopidy 3.0.1

=== debian/changelog ===
mopidy (3.0.1-2) unstable; urgency=medium

  * Fix logging format

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 26 Dec 2019 22:45:50 +0100

mopidy (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Switch from Python 2 to Python 3 (Closes: #849091, #937069)
  * Use dpkg-maintscript-helper to replace symlink with dir
    (Closes: #945500)
    - Remove redundant mopidy-doc.postinst script
  * mopidy-local split out to its own project and Debian package
    - Remove "[local]" section from default config
    - Do not create dirs /var/lib/mopidy/{local,media}
  * Create /var/lib/mopidy/m3u instead of /var/lib/mopidy/playlists
  * Install config default overrides to /usr/share/mopidy/conf.d,
    leaving /etc to end users
  * Remove logging to /var/lib/mopidy/mopidy.log
  * debian/control
    - Bump Standards-Version to 4.4.1
    - Bump debhelper from 11 to 12
    - Update Homepage
    - Update Description
  * debian/copyright
    - Update copyright years
    - Remove copyright sections for files no longer part of the package
    - Use https for copyright file specification
  * debian/NEWS
    - Add entry about extensions having to be reinstalled
  * debian/README.Debian
    - Remove outdated file
  * debian/patches/
    - Make intersphinx link to local docs

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 26 Dec 2019 01:07:14 +0100

mopidy (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 15 Oct 2019 19:17:42 +0200

mopidy (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on debhelper-compat = 11
  * Move docs to /usr/share/doc/mopidy

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 03 Oct 2019 10:48:05 +0200

=== debian/control ===
Source: mopidy
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               po-debconf,
               python3,
               python3-pygraphviz,
               python3-pykka,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Homepage: https://mopidy.com/
Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy.git
Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy

Package: mopidy
Architecture: all
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         debconf,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         lsb-base,
         python3-gst-1.0,
         python3-tornado (>= 4.4),
         ${misc:Depends},
         ${python3:Depends},
Recommends: gstreamer1.0-alsa,
            gstreamer1.0-pulseaudio,
            gstreamer1.0-tools,
Suggests: mopidy-doc,
Description: extensible music server
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 Vanilla Mopidy only plays music from files and radio streams. Through
 extensions, Mopidy can play music from cloud services like Spotify,
 SoundCloud, and Google Play Music.

Package: mopidy-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: mopidy,
Replaces: mopidy (<< 0.7.3-2),
Built-Using: ${sphinxdoc:Built-Using},
Description: extensible music server - documentation
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides the documentation for Mopidy.

## mopidy 3.0.2

=== debian/changelog ===
mopidy (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * Rebuild against python3-pykka with a pydist file, so that the version
    range on the dependency is set correctly (Closes: #954741)

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 03 Apr 2020 00:18:37 +0200

## mopidy 3.1.1

=== debian/changelog ===
mopidy (3.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stein Magnus Jodal ]
  * New upstream release
  * d/patches: Mark forwarding as not-needed
  * d/source: Remove outdated lintian overrides
  * d/control: Set Rules-Requires-Root to no

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 26 Dec 2020 16:19:12 +0100

## mopidy 3.2.0

=== debian/changelog ===
mopidy (3.2.0-1) unstable; urgency=medium

  * Remove mopidy user and /var/lib/mopidy on purge. (Closes: #991893)

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 30 Aug 2021 21:37:59 +0200

mopidy (3.2.0-0mopidy1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh patches

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 09 Jul 2021 13:40:56 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://mopidy.com/
 Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy.git
 Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,sphinxdoc,systemd --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	debconf-updatepo
@@ -16,8 +16,8 @@
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. python2 -m sphinx -N -bhtml docs/ build/html
-	PYTHONPATH=. python2 -m sphinx -N -bman docs/ build/man
+	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
+	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man
 
 override_dh_auto_install:
 	dh_auto_install
@@ -29,8 +29,8 @@
 override_dh_installinit:
 	dh_installinit --no-start
 
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/changelog.rst

## mopidy 3.3.0

=== debian/changelog ===
mopidy (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh patches
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.6.1

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 May 2022 11:40:02 +0200

## mopidy 3.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mopidy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mopidy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mopidy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mopidy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mopidy (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 05 Feb 2023 22:43:52 +0100

mopidy (3.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:23:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://mopidy.com/
 Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mopidy/Mopidy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
